com.icesoft.faces.component.ext

## Class HtmlPanelGroup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - javax.faces.component.html.HtmlPanelGroup
        - - com.icesoft.faces.component.ext.HtmlPanelGroup

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.icefaces.impl.component.SeriesStateHolder
  Direct Known Subclasses:
    PanelPopup

      public class HtmlPanelGroup
      extends javax.faces.component.html.HtmlPanelGroup
      implements org.icefaces.impl.component.SeriesStateHolder

  This is an extension of javax.faces.component.html.HtmlPanelGroup, which provides some additional behavior to this component such as:
  - changes the component's rendered state based on the authentication
  - provides drag & drop mechanism
  - allows to render scrollable panel
  - adds effects to the component

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlPanelGroup

      `javax.faces.component.html.HtmlPanelGroup.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`
    `static java.lang.String` | `SCROLLABLE_STYLE`
    `protected java.lang.Boolean` | `visible`

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlPanelGroup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `void` | `decode(javax.faces.context.FacesContext context)`
    `java.lang.Object` | `getContextValue()` Return the value of the `contextValue` property, which uniquely identifies the portion of the data model that is being represented within this panelGroup.
    `com.icesoft.faces.context.effects.CurrentStyle` | `getCurrentStyle()` Return the value of the `currentStyle` property.
    `java.lang.String` | `getDraggable()` Return the value of the `draggable` property.
    `javax.faces.el.MethodBinding` | `getDragListener()` Return the value of the `dragListener` property.
    `java.lang.String` | `getDragMask()` Return the value of the `dragMask` property.
    `java.lang.String` | `getDragOptions()` Return the value of the `dragOptions` property.
    `java.lang.Object` | `getDragValue()` Return the value of the `dragValue` property.
    `javax.faces.el.MethodBinding` | `getDropListener()` Return the value of the `dropListener` property.
    `java.lang.String` | `getDropMask()` Return the value of the `dropMask` property.
    `java.lang.String` | `getDropTarget()` Return the value of the `dropTarget` property.
    `java.lang.String` | `getDropTargetScrollerId()`
    `java.lang.Object` | `getDropValue()` Return the value of the `dropValue` property.
    `com.icesoft.faces.context.effects.Effect` | `getEffect()` Return the value of the `effect` property.
    `java.lang.String` | `getHoverclass()`
    `java.lang.String` | `getMenuPopup()` Return the value of the `menuPopup` property, which is the id of the ice:menuPopup to show when the user context-clicks on this component
    `java.lang.String` | `getOnclick()` Return the value of the `onclick` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnclickeffect()` Return the value of the `onclickeffect` property.
    `java.lang.String` | `getOndblclick()` Return the value of the `ondblclick` property.
    `com.icesoft.faces.context.effects.Effect` | `getOndblclickeffect()` Return the value of the `ondblclickeffect` property.
    `java.lang.String` | `getOnkeydown()` Return the value of the `onkeydown` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnkeydowneffect()` Return the value of the `onkeydowneffect` property.
    `java.lang.String` | `getOnkeypress()` Return the value of the `onkeypress` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnkeypresseffect()` Return the value of the `onkeypresseffect` property.
    `java.lang.String` | `getOnkeyup()` Return the value of the `onkeyup` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnkeyupeffect()` Return the value of the `onkeyupeffect` property.
    `java.lang.String` | `getOnmousedown()` Return the value of the `onmousedown` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnmousedowneffect()` Return the value of the `onmousedowneffect` property.
    `java.lang.String` | `getOnmousemove()` Return the value of the `onmousemove` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnmousemoveeffect()` Return the value of the `onmousemoveeffect` property.
    `java.lang.String` | `getOnmouseout()` Return the value of the `onmouseout` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnmouseouteffect()` Return the value of the `onmouseouteffect` property.
    `java.lang.String` | `getOnmouseover()` Return the value of the `onmouseover` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnmouseovereffect()` Return the value of the `onmouseovereffect` property.
    `java.lang.String` | `getOnmouseup()` Return the value of the `onmouseup` property.
    `com.icesoft.faces.context.effects.Effect` | `getOnmouseupeffect()` Return the value of the `onmouseupeffect` property.
    `java.lang.String` | `getPanelTooltip()` Return the value of the `panelTooltip` property.
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getRenderedStyle()` Return the value of the `renderedStyle` property.
    `java.lang.String` | `getScrollHeight()` Return the value of the `scrollHeight` property.
    `java.lang.String` | `getScrollWidth()` Return the value of the `scrollWidth` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getTitle()` Return the value of the `title` property.
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `boolean` | `isVisible()` Return the value of the `visible` property.
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `restoreSeriesState(javax.faces.context.FacesContext facesContext, java.lang.Object state)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `java.lang.Object` | `saveSeriesState(javax.faces.context.FacesContext facesContext)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setContextValue(java.lang.Object contextValue)` Set the value of the `contextValue` property, which uniquely identifies the portion of the data model that is being represented within this panelGroup.
    `void` | `setCurrentStyle(com.icesoft.faces.context.effects.CurrentStyle currentStyle)` Set the value of the `currentStyle` property.
    `void` | `setDraggable(java.lang.String draggable)` Set the value of the `draggable` property.
    `void` | `setDragListener(javax.faces.el.MethodBinding dragListener)` Set the value of the `dragListener` property.
    `void` | `setDragMask(java.lang.String dragMask)` Set the value of the `dragMask` property.
    `void` | `setDragOptions(java.lang.String s)` Set the value of the `dragOptions` property.
    `void` | `setDragValue(java.lang.Object dragValue)` Set the value of the `dragValue` property.
    `void` | `setDropListener(javax.faces.el.MethodBinding dropListener)` Set the value of the `dropListener` property.
    `void` | `setDropMask(java.lang.String dropMask)` Set the value of the `dropMask` property.
    `void` | `setDropTarget(java.lang.String dropTarget)` Set the value of the `dropTarget` property.
    `void` | `setDropTargetScrollerId(java.lang.String dropTargetScrollerId)`
    `void` | `setDropValue(java.lang.Object dropValue)` Set the value of the `dropValue` property.
    `void` | `setEffect(com.icesoft.faces.context.effects.Effect effect)` Set the value of the `effect` property.
    `void` | `setHoverclass(java.lang.String hoverclass)`
    `void` | `setMenuPopup(java.lang.String menuPopup)` Set the value of the `menuPopup` property, which is the id of the ice:menuPopup to show when the user context-clicks on this component
    `void` | `setOnclick(java.lang.String onclick)` Set the value of the `onclick` property.
    `void` | `setOnclickeffect(com.icesoft.faces.context.effects.Effect onclickeffect)` Set the value of the `onclickeffect` property.
    `void` | `setOndblclick(java.lang.String ondblclick)` Set the value of the `ondblclick` property.
    `void` | `setOndblclickeffect(com.icesoft.faces.context.effects.Effect ondblclickeffect)` Set the value of the `ondblclickeffect` property.
    `void` | `setOnkeydown(java.lang.String onkeydown)` Set the value of the `onkeydown` property.
    `void` | `setOnkeydowneffect(com.icesoft.faces.context.effects.Effect onkeydowneffect)` Set the value of the `onkeydowneffect` property.
    `void` | `setOnkeypress(java.lang.String onkeypress)` Set the value of the `onkeypress` property.
    `void` | `setOnkeypresseffect(com.icesoft.faces.context.effects.Effect onkeypresseffect)` Set the value of the `onkeypresseffect` property.
    `void` | `setOnkeyup(java.lang.String onkeyup)` Set the value of the `onkeyup` property.
    `void` | `setOnkeyupeffect(com.icesoft.faces.context.effects.Effect onkeyupeffect)` Set the value of the `onkeyupeffect` property.
    `void` | `setOnmousedown(java.lang.String onmousedown)` Set the value of the `onmousedown` property.
    `void` | `setOnmousedowneffect(com.icesoft.faces.context.effects.Effect onmousedowneffect)` Set the value of the `onmousedowneffect` property.
    `void` | `setOnmousemove(java.lang.String onmousemove)` Set the value of the `onmousemove` property.
    `void` | `setOnmousemoveeffect(com.icesoft.faces.context.effects.Effect onmousemoveeffect)` Set the value of the `onmousemoveeffect` property.
    `void` | `setOnmouseout(java.lang.String onmouseout)` Set the value of the `onmouseout` property.
    `void` | `setOnmouseouteffect(com.icesoft.faces.context.effects.Effect onmouseouteffect)` Set the value of the `onmouseouteffect` property.
    `void` | `setOnmouseover(java.lang.String onmouseover)` Set the value of the `onmouseover` property.
    `void` | `setOnmouseovereffect(com.icesoft.faces.context.effects.Effect onmouseovereffect)` Set the value of the `onmouseovereffect` property.
    `void` | `setOnmouseup(java.lang.String onmouseup)` Set the value of the `onmouseup` property.
    `void` | `setOnmouseupeffect(com.icesoft.faces.context.effects.Effect onmouseupeffect)` Set the value of the `onmouseupeffect` property.
    `void` | `setPanelTooltip(java.lang.String panelTooltip)` Set the value of the `panelTooltip` property.
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)` Set the value of the `renderedOnUserRole` property.
    `void` | `setRenderedStyle(java.lang.String renderedStyle)` Set the value of the `renderedStyle` property.
    `void` | `setScrollHeight(java.lang.String scrollHeight)` Set the value of the `scrollHeight` property.
    `void` | `setScrollWidth(java.lang.String scrollWidth)` Set the value of the `scrollWidth` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setTitle(java.lang.String title)` Set the value of the `title` property.
    `void` | `setValueBinding(java.lang.String s, javax.faces.el.ValueBinding vb)`
    `void` | `setVisible(boolean visible)` Set the value of the `visible` property.

    - ### Methods inherited from class javax.faces.component.html.HtmlPanelGroup

      `getLayout, setLayout, setStyleClass`

    - ### Methods inherited from class javax.faces.component.UIPanel

      `getFamily`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

    - #### SCROLLABLE_STYLE

          public static final java.lang.String SCROLLABLE_STYLE

      See Also:
        Constant Field Values

    - #### visible

          protected java.lang.Boolean visible

  - ### Constructor Detail

    - #### HtmlPanelGroup

          public HtmlPanelGroup()

  - ### Method Detail

    - #### decode

          public void decode(javax.faces.context.FacesContext context)

      Overrides:
        `decode` in class `javax.faces.component.UIComponentBase`

    - #### setValueBinding

          public void setValueBinding(java.lang.String s,
                                      javax.faces.el.ValueBinding vb)

      Overrides:
        `setValueBinding` in class `javax.faces.component.UIComponentBase`

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Set the value of the `renderedOnUserRole` property.

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

    - #### setVisible

          public void setVisible(boolean visible)

      Set the value of the `visible` property.

    - #### isVisible

          public boolean isVisible()

      Return the value of the `visible` property.

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Overrides:
        `setStyle` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Overrides:
        `getStyle` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### setDragOptions

          public void setDragOptions(java.lang.String s)

      Set the value of the `dragOptions` property.

    - #### getDragOptions

          public java.lang.String getDragOptions()

      Return the value of the `dragOptions` property.

    - #### setScrollWidth

          public void setScrollWidth(java.lang.String scrollWidth)

      Set the value of the `scrollWidth` property.

    - #### getScrollWidth

          public java.lang.String getScrollWidth()

      Return the value of the `scrollWidth` property.

    - #### setScrollHeight

          public void setScrollHeight(java.lang.String scrollHeight)

      Set the value of the `scrollHeight` property.

    - #### getScrollHeight

          public java.lang.String getScrollHeight()

      Return the value of the `scrollHeight` property.

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`

    - #### getDraggable

          public java.lang.String getDraggable()

      Return the value of the `draggable` property.

    - #### setDraggable

          public void setDraggable(java.lang.String draggable)

      Set the value of the `draggable` property.

    - #### getDragListener

          public javax.faces.el.MethodBinding getDragListener()

      Return the value of the `dragListener` property.

    - #### setDragListener

          public void setDragListener(javax.faces.el.MethodBinding dragListener)

      Set the value of the `dragListener` property.

    - #### getDragValue

          public java.lang.Object getDragValue()

      Return the value of the `dragValue` property.

    - #### setDragValue

          public void setDragValue(java.lang.Object dragValue)

      Set the value of the `dragValue` property.

    - #### getDropTarget

          public java.lang.String getDropTarget()

      Return the value of the `dropTarget` property.

    - #### setDropTarget

          public void setDropTarget(java.lang.String dropTarget)

      Set the value of the `dropTarget` property.

    - #### getDropListener

          public javax.faces.el.MethodBinding getDropListener()

      Return the value of the `dropListener` property.

    - #### setDropListener

          public void setDropListener(javax.faces.el.MethodBinding dropListener)

      Set the value of the `dropListener` property.

    - #### getDropValue

          public java.lang.Object getDropValue()

      Return the value of the `dropValue` property.

    - #### setDropValue

          public void setDropValue(java.lang.Object dropValue)

      Set the value of the `dropValue` property.

    - #### getDropMask

          public java.lang.String getDropMask()

      Return the value of the `dropMask` property.

    - #### setDropMask

          public void setDropMask(java.lang.String dropMask)

      Set the value of the `dropMask` property.

    - #### getDragMask

          public java.lang.String getDragMask()

      Return the value of the `dragMask` property.

    - #### setDragMask

          public void setDragMask(java.lang.String dragMask)

      Set the value of the `dragMask` property.

    - #### getEffect

          public com.icesoft.faces.context.effects.Effect getEffect()

      Return the value of the `effect` property.

    - #### setEffect

          public void setEffect(com.icesoft.faces.context.effects.Effect effect)

      Set the value of the `effect` property.

    - #### getOnclickeffect

          public com.icesoft.faces.context.effects.Effect getOnclickeffect()

      Return the value of the `onclickeffect` property.

    - #### setOnclickeffect

          public void setOnclickeffect(com.icesoft.faces.context.effects.Effect onclickeffect)

      Set the value of the `onclickeffect` property.

    - #### getOndblclickeffect

          public com.icesoft.faces.context.effects.Effect getOndblclickeffect()

      Return the value of the `ondblclickeffect` property.

    - #### setOndblclickeffect

          public void setOndblclickeffect(com.icesoft.faces.context.effects.Effect ondblclickeffect)

      Set the value of the `ondblclickeffect` property.

    - #### getOnmousedowneffect

          public com.icesoft.faces.context.effects.Effect getOnmousedowneffect()

      Return the value of the `onmousedowneffect` property.

    - #### setOnmousedowneffect

          public void setOnmousedowneffect(com.icesoft.faces.context.effects.Effect onmousedowneffect)

      Set the value of the `onmousedowneffect` property.

    - #### getOnmouseupeffect

          public com.icesoft.faces.context.effects.Effect getOnmouseupeffect()

      Return the value of the `onmouseupeffect` property.

    - #### setOnmouseupeffect

          public void setOnmouseupeffect(com.icesoft.faces.context.effects.Effect onmouseupeffect)

      Set the value of the `onmouseupeffect` property.

    - #### getOnmousemoveeffect

          public com.icesoft.faces.context.effects.Effect getOnmousemoveeffect()

      Return the value of the `onmousemoveeffect` property.

    - #### setOnmousemoveeffect

          public void setOnmousemoveeffect(com.icesoft.faces.context.effects.Effect onmousemoveeffect)

      Set the value of the `onmousemoveeffect` property.

    - #### getOnmouseovereffect

          public com.icesoft.faces.context.effects.Effect getOnmouseovereffect()

      Return the value of the `onmouseovereffect` property.

    - #### setOnmouseovereffect

          public void setOnmouseovereffect(com.icesoft.faces.context.effects.Effect onmouseovereffect)

      Set the value of the `onmouseovereffect` property.

    - #### getOnmouseouteffect

          public com.icesoft.faces.context.effects.Effect getOnmouseouteffect()

      Return the value of the `onmouseouteffect` property.

    - #### setOnmouseouteffect

          public void setOnmouseouteffect(com.icesoft.faces.context.effects.Effect onmouseouteffect)

      Set the value of the `onmouseouteffect` property.

    - #### getOnkeypresseffect

          public com.icesoft.faces.context.effects.Effect getOnkeypresseffect()

      Return the value of the `onkeypresseffect` property.

    - #### setOnkeypresseffect

          public void setOnkeypresseffect(com.icesoft.faces.context.effects.Effect onkeypresseffect)

      Set the value of the `onkeypresseffect` property.

    - #### getOnkeydowneffect

          public com.icesoft.faces.context.effects.Effect getOnkeydowneffect()

      Return the value of the `onkeydowneffect` property.

    - #### setOnkeydowneffect

          public void setOnkeydowneffect(com.icesoft.faces.context.effects.Effect onkeydowneffect)

      Set the value of the `onkeydowneffect` property.

    - #### getOnkeyupeffect

          public com.icesoft.faces.context.effects.Effect getOnkeyupeffect()

      Return the value of the `onkeyupeffect` property.

    - #### setOnkeyupeffect

          public void setOnkeyupeffect(com.icesoft.faces.context.effects.Effect onkeyupeffect)

      Set the value of the `onkeyupeffect` property.

    - #### getMenuPopup

          public java.lang.String getMenuPopup()

      Return the value of the `menuPopup` property, which is the id of the ice:menuPopup to show when the user context-clicks on this component

    - #### setMenuPopup

          public void setMenuPopup(java.lang.String menuPopup)

      Set the value of the `menuPopup` property, which is the id of the ice:menuPopup to show when the user context-clicks on this component

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### saveSeriesState

          public java.lang.Object saveSeriesState(javax.faces.context.FacesContext facesContext)

      Specified by:
        `saveSeriesState` in interface `org.icefaces.impl.component.SeriesStateHolder`

    - #### restoreSeriesState

          public void restoreSeriesState(javax.faces.context.FacesContext facesContext,
                                         java.lang.Object state)

      Specified by:
        `restoreSeriesState` in interface `org.icefaces.impl.component.SeriesStateHolder`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `javax.faces.component.UIComponentBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `javax.faces.component.UIComponentBase`

    - #### getCurrentStyle

          public com.icesoft.faces.context.effects.CurrentStyle getCurrentStyle()

      Return the value of the `currentStyle` property.

    - #### setCurrentStyle

          public void setCurrentStyle(com.icesoft.faces.context.effects.CurrentStyle currentStyle)

      Set the value of the `currentStyle` property.

    - #### getRenderedStyle

          public java.lang.String getRenderedStyle()

      Return the value of the `renderedStyle` property.

    - #### setRenderedStyle

          public void setRenderedStyle(java.lang.String renderedStyle)

      Set the value of the `renderedStyle` property.

    - #### getHoverclass

          public java.lang.String getHoverclass()

    - #### setHoverclass

          public void setHoverclass(java.lang.String hoverclass)

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Overrides:
        `getStyleClass` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### setPanelTooltip

          public void setPanelTooltip(java.lang.String panelTooltip)

      Set the value of the `panelTooltip` property.

    - #### getPanelTooltip

          public java.lang.String getPanelTooltip()

      Return the value of the `panelTooltip` property.

    - #### setContextValue

          public void setContextValue(java.lang.Object contextValue)

      Set the value of the `contextValue` property, which uniquely identifies the portion of the data model that is being represented within this panelGroup.

    - #### getContextValue

          public java.lang.Object getContextValue()

      Return the value of the `contextValue` property, which uniquely identifies the portion of the data model that is being represented within this panelGroup.

    - #### getOnclick

          public java.lang.String getOnclick()

      Return the value of the `onclick` property.

    - #### setOnclick

          public void setOnclick(java.lang.String onclick)

      Set the value of the `onclick` property.

    - #### getOndblclick

          public java.lang.String getOndblclick()

      Return the value of the `ondblclick` property.

    - #### setOndblclick

          public void setOndblclick(java.lang.String ondblclick)

      Set the value of the `ondblclick` property.

    - #### getOnmousedown

          public java.lang.String getOnmousedown()

      Return the value of the `onmousedown` property.

    - #### setOnmousedown

          public void setOnmousedown(java.lang.String onmousedown)

      Set the value of the `onmousedown` property.

    - #### getOnmouseup

          public java.lang.String getOnmouseup()

      Return the value of the `onmouseup` property.

    - #### setOnmouseup

          public void setOnmouseup(java.lang.String onmouseup)

      Set the value of the `onmouseup` property.

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

      Return the value of the `onmousemove` property.

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String onmousemove)

      Set the value of the `onmousemove` property.

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

      Return the value of the `onmouseover` property.

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String onmouseover)

      Set the value of the `onmouseover` property.

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

      Return the value of the `onmouseout` property.

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String onmouseout)

      Set the value of the `onmouseout` property.

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

      Return the value of the `onkeypress` property.

    - #### setOnkeypress

          public void setOnkeypress(java.lang.String onkeypress)

      Set the value of the `onkeypress` property.

    - #### getOnkeydown

          public java.lang.String getOnkeydown()

      Return the value of the `onkeydown` property.

    - #### setOnkeydown

          public void setOnkeydown(java.lang.String onkeydown)

      Set the value of the `onkeydown` property.

    - #### getOnkeyup

          public java.lang.String getOnkeyup()

      Return the value of the `onkeyup` property.

    - #### setOnkeyup

          public void setOnkeyup(java.lang.String onkeyup)

      Set the value of the `onkeyup` property.

    - #### getDropTargetScrollerId

          public java.lang.String getDropTargetScrollerId()

    - #### setDropTargetScrollerId

          public void setDropTargetScrollerId(java.lang.String dropTargetScrollerId)

    - #### setTitle

          public void setTitle(java.lang.String title)

      Set the value of the `title` property.

    - #### getTitle

          public java.lang.String getTitle()

      Return the value of the `title` property.

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.